#
# spec file for package last.fm
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           last.fm
Version:        1.4.2.58240
Release:        3.1
License:        GPL-2.0+
Summary:        Official Last.fm Scrobbler
Url:            http://www.last.fm/
Group:          Productivity/Multimedia/Sound/Players
Source:         %{name}-%{version}.src.tar.bz2
Patch0:         %{name}-%{version}-fix-includes.patch
Patch1:         %{name}-%{version}-link-z-and-X11.patch
Patch2:         %{name}-%{version}-fix-data-path.patch
Patch3:         %{name}-%{version}-disable-ipod-support.patch
BuildRequires:  alsa-devel
BuildRequires:  fftw3-devel
BuildRequires:  libmad-devel
BuildRequires:  libgpod-devel
BuildRequires:  libqt4-devel
BuildRequires:  libsamplerate-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Last.fm Scrobbler and audio player for Linux. 

%package -n libLastFmFingerprint1
Summary:        Official Last.fm Scrobbler
Group:          System/Libraries

%description -n libLastFmFingerprint1
Last.fm Scrobbler and audio player for Linux. 

This version is stripped, it doesn't provide MP3 file fingerprinting support (legal reasons).

%package -n libLastFmTools1
Summary:        Official Last.fm Scrobbler
Group:          System/Libraries

%description -n libLastFmTools1
Last.fm Scrobbler and audio player for Linux. 

%package -n libMoose1
Summary:        Official Last.fm Scrobbler
Group:          System/Libraries

%description -n libMoose1
Last.fm Scrobbler and audio player for Linux. 

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# Adjust installation destination directories:
sed -i -e "s|\$\$BIN_DIR/services|%{buildroot}%{_libdir}/%{name}/services|" \
       -e "s|\$\$BIN_DIR/extensions|%{buildroot}%{_libdir}/%{name}/extensions|" definitions.pro.inc
sed -i -e "s|DESTDIR = \$\$BIN_DIR|DESTDIR = %{buildroot}%{_libdir}|" src/libFingerprint/libFingerprint.pro \
                                                                      src/libFingerprint/libs/fftw.pro \
                                                                      src/libUnicorn/unicorn.pro.inc
sed -i -e "s|LIBS += -L\$\$BIN_DIR|LIBS += -L\$\$DESTDIR|" src/libFingerprint/libFingerprint.pro
sed -i -e "s|LIBS += -lLastFmTools|LIBS += -L\$\$DESTDIR -lLastFmTools|" src/libMoose/libMoose.pro
# DESTDIR for binaries is /usr/bin, fix after including 'definitions.pro.inc' with DESTDIR = /usr/lib64:
sed -i -e "29 i\DESTDIR = %{buildroot}%{_bindir}" \
       -e "s|LIBS += -L\$\$BIN_DIR|LIBS += -L%{buildroot}%{_libdir}|" src/src.pro
sed -i -e "7 i\LIBS += -L%{buildroot}%{_libdir}" src/httpinput/httpinput.pro \
                                                 src/output/portAudio/portAudio.pro \
                                                 src/transcode/mad/mad.pro
sed -i -e "s|LIBS += -lasound|LIBS += -L%{buildroot}%{_libdir} -lasound|" src/output/alsa-playback/alsa-playback.pro

%build
%configure
make %{?_smp_mflags}

%install
# Create necessary directories:
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_libdir}/%{name}/{services,extensions}
# Use the provided install target:
make install
# Install remainging data files into correct location (see Patch3):
cp -r bin/data/* %{buildroot}%{_datadir}/%{name}/
# Remove unneeded devel files:
rm %{buildroot}%{_libdir}/*.so

%post -n libLastFmFingerprint1 -p /sbin/ldconfig
%postun -n libLastFmFingerprint1 -p /sbin/ldconfig

%post -n libLastFmTools1 -p /sbin/ldconfig
%postun -n libLastFmTools1 -p /sbin/ldconfig

%post -n libMoose1 -p /sbin/ldconfig
%postun -n libMoose1 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{_bindir}/last.fm
%{_libdir}/%{name}
%{_datadir}/%{name}

%files -n libLastFmFingerprint1
%defattr(-,root,root)
%doc COPYING 
%{_libdir}/libLastFmFingerprint.so.1*

%files -n libLastFmTools1
%defattr(-,root,root)
%doc COPYING 
%{_libdir}/libLastFmTools.so.1*

%files -n libMoose1
%defattr(-,root,root)
%doc COPYING 
%{_libdir}/libMoose.so.1*

%changelog
* Tue Oct  9 2012 saschpe@suse.de
- Adjust last.fm-1.4.2.58240-fix-data-path.patch: Determine word size
  at runtime (bnc#761991)
- Adjust last.fm-1.4.2.58240-fix-includes.patch: GCC47 compatibility
* Fri Mar 30 2012 saschpe@gmx.de
- Dropped disable-mad.patch
- Fixed openSUSE:12.1 build, another include was missing
* Fri Mar 30 2012 saschpe@gmx.de
- Re-enable libmad support
* Thu Mar 29 2012 saschpe@suse.de
- Also fix the plugins path (aka 'services')
* Thu Mar 29 2012 saschpe@suse.de
- Install into correct locations
* Mon Mar 26 2012 saschpe@suse.de
- Initial version
